# CommandResultSupplier (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.contexts, class: CommandResultSupplier

Package co.aikar.commands.contexts

# Class CommandResultSupplier

java.lang.Object
co.aikar.commands.contexts.CommandResultSupplier

All Implemented Interfaces:
  `Consumer<org.spongepowered.api.command.CommandResult>`

public class CommandResultSupplier extends Object implements Consumer<org.spongepowered.api.command.CommandResult>

## Constructor Summary

Constructors
Constructor
Description
`CommandResultSupplier()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(org.spongepowered.api.command.CommandResult commandResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Constructor Details

### CommandResultSupplier

public CommandResultSupplier()

## Method Details

### accept

public void accept (org.spongepowered.api.command.CommandResult commandResult)

Specified by:
  `accept` in interface `Consumer<org.spongepowered.api.command.CommandResult>`